package org.wfc.omada.api.log.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * AuditLogNotificationSettingOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:45:56.254+08:00[Asia/Shanghai]")

public class AuditLogNotificationSettingOpenApiVo   {
  @JsonProperty("webhookConfig")
  private Object webhookConfig;

  @JsonProperty("auditLogNotifications")
  @Valid
  private List<AuditLogNotificationOpenApiVo> auditLogNotifications = null;

  public AuditLogNotificationSettingOpenApiVo webhookConfig(Object webhookConfig) {
    this.webhookConfig = webhookConfig;
    return this;
  }

  /**
   * Get webhookConfig
   * @return webhookConfig
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getWebhookConfig() {
    return webhookConfig;
  }

  public void setWebhookConfig(Object webhookConfig) {
    this.webhookConfig = webhookConfig;
  }

  public AuditLogNotificationSettingOpenApiVo auditLogNotifications(List<AuditLogNotificationOpenApiVo> auditLogNotifications) {
    this.auditLogNotifications = auditLogNotifications;
    return this;
  }

  public AuditLogNotificationSettingOpenApiVo addAuditLogNotificationsItem(AuditLogNotificationOpenApiVo auditLogNotificationsItem) {
    if (this.auditLogNotifications == null) {
      this.auditLogNotifications = new ArrayList<>();
    }
    this.auditLogNotifications.add(auditLogNotificationsItem);
    return this;
  }

  /**
   * Audit Log Notification List
   * @return auditLogNotifications
  */
  @ApiModelProperty(value = "Audit Log Notification List")

  @Valid

  public List<AuditLogNotificationOpenApiVo> getAuditLogNotifications() {
    return auditLogNotifications;
  }

  public void setAuditLogNotifications(List<AuditLogNotificationOpenApiVo> auditLogNotifications) {
    this.auditLogNotifications = auditLogNotifications;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AuditLogNotificationSettingOpenApiVo auditLogNotificationSettingOpenApiVo = (AuditLogNotificationSettingOpenApiVo) o;
    return Objects.equals(this.webhookConfig, auditLogNotificationSettingOpenApiVo.webhookConfig) &&
        Objects.equals(this.auditLogNotifications, auditLogNotificationSettingOpenApiVo.auditLogNotifications);
  }

  @Override
  public int hashCode() {
    return Objects.hash(webhookConfig, auditLogNotifications);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AuditLogNotificationSettingOpenApiVo {\n");
    
    sb.append("    webhookConfig: ").append(toIndentedString(webhookConfig)).append("\n");
    sb.append("    auditLogNotifications: ").append(toIndentedString(auditLogNotifications)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

